Package ru.bitel.bgbilling.modules.enaza.server.bean.event

# Class GetAttensionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.enaza.server.bean.event.GetAttensionEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetAttensionEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - получение строки запроса на оплату.
Событие генерируется перед выводом запроса на подтверждение оплаты.
Позволяет изменить текст запроса, или запретить подтверждение.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAttensionEvent(int moduleId, int contractId, int userId, int productId, BigDecimal amount)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Возвращает стоимость продукта.
  `String`
  `getAnswer()`
  Возвращает строку запроса.
  `int`
  `getProductId()`
  Возвращает id продукта.
  `boolean`
  `isLock()`
  Возвращает статус блокировки транзакции.
  `void`
  `setAmount(BigDecimal amount)`
  Устанавливает стоимость продукта.
  `void`
  `setAnswer(String answer)`
  Устанавливает строку запроса.
  `void`
  `setLock(boolean lock)`
  Устанавливает блокировку транзакции.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetAttensionEvent

    public GetAttensionEvent(int moduleId, int contractId, int userId, int productId, BigDecimal amount)
    Конструктор события.
    Parameters:
      `moduleId` - - код модуля
      `contractId` - - код договора
      `userId` - - id пользователя, сгенерировавшего событие
      `productId` - код продукта
      `amount` - - стоимость продукта

- ## Method Details

  - ### getAnswer

    public String getAnswer()
    Возвращает строку запроса.
    Returns:
      answer - строка запроса

  - ### setAnswer

    public void setAnswer(String answer)
    Устанавливает строку запроса.
    Parameters:
      `answer` - - строка запроса

  - ### getProductId

    public int getProductId()
    Возвращает id продукта.
    Returns:
      productId - код продукта

  - ### getAmount

    public BigDecimal getAmount()
    Возвращает стоимость продукта.
    Returns:
      amount - стоимость

  - ### setAmount

    public void setAmount(BigDecimal amount)
    Устанавливает стоимость продукта.
    Parameters:
      `amount` - - стоимость

  - ### isLock

    public boolean isLock()
    Возвращает статус блокировки транзакции.
    Returns:
      lock - статус блокировки

  - ### setLock

    public void setLock(boolean lock)
    Устанавливает блокировку транзакции.
    Parameters:
      `lock` - - статус блокировки